Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class DbDirectoryInfo

    java.lang.Object
      org.linuxsampler.lscp.DbDirectoryInfo

    public class DbDirectoryInfo

extends java.lang.Object

Provides information about a database instrument directory.

Constructor Summary
`DbDirectoryInfo(java.lang.String[] resultSet)` Creates a new instance of `DbDirectoryInfo`.

Method Summary
`java.util.Date` | `getDateCreated()` Returns the date when the directory is created.
`java.util.Date` | `getDateModified()` Returns the date when the directory is last modified.
`java.lang.String` | `getDescription()` Gets a brief description about this directory.
`java.lang.String` | `getDirectoryPath()` Returns the absolute path name of the directory or `null` if the parent directory path is not set.
`java.lang.String` | `getName()` Gets the name of this directory.
`java.lang.String` | `getParentDirectoryPath()` Returns the absolute path name of the directory containing this directory.
`boolean` | `getShowAbsolutePath()` Determines whether the `toString()` method should return the directory name or the absolute path name of the directory.
`boolean` | `parse(java.lang.String s)` Parses a line of text.
`void` | `setName(java.lang.String name)` Sets the name of this directory.
`void` | `setParentDirectoryPath(java.lang.String dir)` Sets the absolute path name of the directory containing this directory.
`void` | `setShowAbsolutePath(boolean b)` Sets whether the `toString()` method should return the absolute path name of the directory.
`java.lang.String` | `toString()` Returns the name or the absolute path name of the directory as specified by `getShowAbsolutePath()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DbDirectoryInfo

    public DbDirectoryInfo(java.lang.String[] resultSet)
                    throws LscpException

  Creates a new instance of `DbDirectoryInfo`.

  Parameters:
    `resultSet` - An array with information categories about a DB directory.
  Throws:
    `LscpException`

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this directory.

  Returns:
    The name of this directory.

### setName

    public void setName(java.lang.String name)

  Sets the name of this directory.

  Parameters:
    `name` - The name of this directory.

### getDescription

    public java.lang.String getDescription()

  Gets a brief description about this directory.

  Returns:
    A brief description about this directory.

### getDateCreated

    public java.util.Date getDateCreated()

  Returns the date when the directory is created.

### getDateModified

    public java.util.Date getDateModified()

  Returns the date when the directory is last modified.

### getDirectoryPath

    public java.lang.String getDirectoryPath()

  Returns the absolute path name of the directory or `null` if the parent directory path is not set.

### getParentDirectoryPath

    public java.lang.String getParentDirectoryPath()

  Returns the absolute path name of the directory containing this directory.

### setParentDirectoryPath

    public void setParentDirectoryPath(java.lang.String dir)

  Sets the absolute path name of the directory containing this directory.

### parse

    public boolean parse(java.lang.String s)
                  throws LscpException

  Parses a line of text.

  Parameters:
    `s` - The string to be parsed.
  Returns:
    `true` if the line has been processed, `false` otherwise.
  Throws:
    `LscpException` - If some error occurs.

### getShowAbsolutePath

    public boolean getShowAbsolutePath()

  Determines whether the `toString()` method should return the directory name or the absolute path name of the directory. The default value is `false`.

### setShowAbsolutePath

    public void setShowAbsolutePath(boolean b)

  Sets whether the `toString()` method should return the absolute path name of the directory.

  Parameters:
    `b` - If `true` the `toString()` method will return the absolute path name of the directory instead of the directory name.

### toString

    public java.lang.String toString()

  Returns the name or the absolute path name of the directory as specified by `getShowAbsolutePath()`.

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `setShowAbsolutePath(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.